| Kea 3.0.2-git

tracking_lease_mgr.h File Reference
`#include <asiolink/io_address.h>`
`#include <dhcpsrv/lease_mgr.h>`
`#include <boost/multi_index_container.hpp>`
`#include <boost/multi_index/composite_key.hpp>`
`#include <boost/multi_index/indexed_by.hpp>`
`#include <boost/multi_index/member.hpp>`
`#include <boost/multi_index/hashed_index.hpp>`
`#include <boost/multi_index/ordered_index.hpp>`
`#include <boost/multi_index/sequenced_index.hpp>`
`#include <boost/shared_ptr.hpp>`
`#include <functional>`
`#include <string>`
`#include <unordered_set>`
Include dependency graph for tracking_lease_mgr.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes
struct | isc::dhcp::TrackingLeaseMgr::Callback
| A structure representing a registered callback. More...
class | isc::dhcp::TrackingLeaseMgr
| Introduces callbacks into the `LeaseMgr`. More...

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::dhcp

## Typedefs
typedef std::unique_ptr< TrackingLeaseMgr > | isc::dhcp::TrackingLeaseMgrPtr
| TrackingLeaseMgr pointer.